Interface
Options to update an OAuth2.0 app.
Properties
| Property | Type | Notes |
|---|---|---|
authentication | IAuthenticationManager |
|
credentialsinherited | RequestCredentials | A string indicating whether credentials (cookies) will be sent with the request. Used internally for authentication workflows. |
fetchOptionsinherited | RequestInit | anything you can pass to the options for fetch https://developer.mozilla.org/en-US/docs/Web/API/RequestInit REST JS may override or ignore these as it sees fit. REST JS currently modifies the headers and credentials options. |
headersinherited | {} | Additional Headers to pass into the request. |
hideTokeninherited | boolean | Prevents the token from being passed in a URL query parameter that is saved in browser history. |
httpMethodinherited | HTTPMethods | The HTTP method to send the request with. |
itemId | string | itemId of which OAuth2.0 app to be updated. |
maxUrlLengthinherited | number | If the length of a GET request's URL exceeds |
portalinherited | string | Base url for the portal you want to make the request to. Defaults to authentication.portal if authentication exists, otherwise to 'https://www.arcgis.com/sharing/rest'. |
rawResponseinherited | boolean | Return the raw response |
redirect_uris | string[] | Override previous |
requestFlagsinherited | IRequestFlags | ArcGIS REST JS runtime flags. |
signalinherited | AbortSignal | An AbortSignal object instance; allows you to abort a request and via an AbortController. |
suppressWarningsinherited | boolean | Suppress any ArcGIS REST JS related warnings for this request. |
authentication
Interface Propertyauthentication: IAuthenticationManager@esri/arcgis-rest-request!IAuthenticationManager authentication.
credentials
credentials: RequestCredentialsA string indicating whether credentials (cookies) will be sent with the request. Used internally for authentication workflows.
fetchOptions
fetchOptions: RequestInitanything you can pass to the options for fetch https://developer.mozilla.org/en-US/docs/Web/API/RequestInit REST JS may override or ignore these as it sees fit. REST JS currently modifies the headers and credentials options.
hideToken
hideToken: booleanPrevents the token from being passed in a URL query parameter that is saved in browser history.
maxUrlLength
maxUrlLength: numberIf the length of a GET request's URL exceeds maxUrlLength the request will use POST instead.
portal
portal: stringBase url for the portal you want to make the request to. Defaults to authentication.portal if authentication exists, otherwise to 'https://www.arcgis.com/sharing/rest'.
redirect_uris
redirect_uris: string[]Override previous redirect_uris if this value is provided.
signal
signal: AbortSignalAn AbortSignal object instance; allows you to abort a request and via an AbortController.